Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Interface STCMCFMonitorBean

All Known Implementing Classes:
  STCMCFMonitor

public interface STCMCFMonitorBean

Method Summary
`void` | `addManagedConnectionMBean(java.lang.Object mcbean, java.lang.String key)`
`void` | `disable()`
`void` | `enable()`
`java.lang.Object` | `findManagedConnectionMBean(java.lang.String key)`
`java.lang.String` | `getMCFDescription()`
`java.lang.String` | `getMCFName()`
`java.lang.String` | `getName()`
`java.lang.Boolean` | `isEnabled()`
`void` | `sendAlert()`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setMCFDescription(java.lang.String mcfdescription)`
`void` | `setMCFName(java.lang.String mcfname)`
`void` | `setName(java.lang.String name)`

Method Detail

### addManagedConnectionMBean

    public void addManagedConnectionMBean(java.lang.Object mcbean,
                                          java.lang.String key)

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setMCFName

    public void setMCFName(java.lang.String mcfname)

### getMCFName

    public java.lang.String getMCFName()

### setMCFDescription

    public void setMCFDescription(java.lang.String mcfdescription)

### getMCFDescription

    public java.lang.String getMCFDescription()

### findManagedConnectionMBean

    public java.lang.Object findManagedConnectionMBean(java.lang.String key)

### enable

    public void enable()

### disable

    public void disable()

### isEnabled

    public java.lang.Boolean isEnabled()

### sendAlert

    public void sendAlert()

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD